commit a5aa2c3cbae207d12b9f2fded36a47031c55be36
Author: Andrew Savchenko <bircoph@gmail.com>
Date:   Thu Nov 17 00:04:47 2016 +0300

    Fix build with recent binutils
    
    Gentoo-Bug:         457980
    Upstream Ticket:    5

diff --git a/src/lookup.c b/src/lookup.c
index ba54991..809981b 100644
--- a/src/lookup.c
+++ b/src/lookup.c
@@ -27,13 +27,13 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <sys/utsname.h>
-#include <bfd.h>
 #include <string.h>
 #include <unistd.h>
 #include <sys/types.h>
 #include <sys/stat.h>
 
 #include "lookup.h"
+#include <bfd.h>
 
 extern struct lookup_methods bfd_methods;
 extern struct lookup_methods kallsym_methods;
diff --git a/src/lookup.h b/src/lookup.h
index e6568d8..47a7b56 100644
--- a/src/lookup.h
+++ b/src/lookup.h
@@ -28,6 +28,9 @@
 #include <stdlib.h>
 #include <asm/types.h>
 
+// satisfy PR 14072 in bfd.h
+#define PACKAGE 1
+#define PACKAGE_VERSION 1
 
 /*
  * Initalization routine
diff --git a/src/lookup_bfd.c b/src/lookup_bfd.c
index cc7010b..271d426 100644
--- a/src/lookup_bfd.c
+++ b/src/lookup_bfd.c
@@ -25,13 +25,13 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <sys/utsname.h>
-#include <bfd.h>
 #include <string.h>
 #include <unistd.h>
 #include <sys/types.h>
 #include <sys/stat.h>
 
 #include "lookup.h"
+#include <bfd.h>
 
 
 static int lookup_bfd_init(void)
diff --git a/src/lookup_kas.c b/src/lookup_kas.c
index 16e639f..556cb62 100644
--- a/src/lookup_kas.c
+++ b/src/lookup_kas.c
@@ -25,7 +25,6 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <sys/utsname.h>
-#include <bfd.h>
 #include <string.h>
 #include <unistd.h>
 #include <sys/types.h>
@@ -33,6 +32,7 @@
 #include <sys/queue.h>
 
 #include "lookup.h"
+#include <bfd.h>
 
 struct symbol_entry {
 	char *sym_name;
